<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from s_o_bigint.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="percents_o_bigint" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>s_o_bigint</refname>
    <refpurpose>overloading  compatibility for binary operator "==" (equal)with double/bigint</refpurpose>
  </refnamediv>


<refsection>
   <title>Parameters</title>
   <variablelist>
        <varlistentry>
            <term>y :</term>
            <listitem><para> bigint</para></listitem>
        </varlistentry>
        <varlistentry>
            <term>x :</term>
            <listitem><para> double(scalar)</para></listitem>
        </varlistentry>
        <varlistentry>
            <term>bool :</term>
            <listitem><para> boolean</para></listitem>
        </varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
double/bigint "equal" comparison
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[

x=123456789
y=bigint('123456789')
x==y  //  True
x=12345678
x==y // false
[123456789 12345678]==y // matrix case

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="mbigint">mbigint</link></member>
   <member><link linkend="mbigint_o_bigint">mbigint_o_bigint</link></member>
   <member><link linkend="bigint_o_bigint">bigint_o_bigint</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Philippe Roux</member>
   </simplelist>
</refsection>
</refentry>
